XmVaCreateScrolledWindow(library call)

NAME
XmVaCreateScrolledWindow, XmVaCreateManagedScrolledWindow — A ScrolledWindow widget convenience creation functions.

SYNOPSIS

#include <Xm/ScrolledW.h>

Widget XmVaCreateScrolledWindow(
Widget parent,
String name,
...);

Widget XmVaCreateManagedScrolledWindow(
Widget parent,
String name,
...);

DESCRIPTION

These functions create an instance of a ToggleButtonGadget widget and returns the associated widget ID. These routines use the ANSI C variable-length argument list (varargs) calling convention.

The XmVaCreateScrolledWindow function is a convenience routine that calls XtCreateWidget.

The XmVaCreateScrolledWindow function is a convenience routine that calls XtCreateManagedWidget.

parent
    Specifies the parent widget ID.

name
    Specifies the name of the created widget.

... Specifies the variable argument list to override the resource defaults.

For a complete definition of ScrolledWindow and its associated resources, see XmScrolledWindow(3).

RETURN

Returns the ScrolledWindow widget ID.

RELATED

XmScrolledWindow(3), XmCreateScrolledWindow(3), XtCreateWidget(3), and XtCreateManagedWidget(3).